<template>
  <div class="app-container">
    <el-card class="box-card">
      <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" label-width="68px">
        <el-form-item label-width="120" label="工艺流程编码" prop="routeCode">
          <el-input
            v-model="queryParams.routeCode"
            placeholder="请输入工艺流程编码"
            clearable
            @keyup.enter.native="handleQuery"
          />
        </el-form-item>
        <el-form-item style="float: right">
          <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        </el-form-item>
      </el-form>
    </el-card>
    <el-card style="margin-top: 10px" class="box-card">
      <el-table border v-loading="loading" :data="dataList" v-if="dataList.length > 0">
        <el-table-column type="selection" width="55" align="center" />
        <el-table-column :show-overflow-tooltip='true' label="工单编号" width="130" align="center">
          <template slot-scope="scope">
            <router-link :to="{path: '/main/route-data/index/', query: {routeCode: scope.row.routeCode,routeId: scope.row.id} }" class="link-type">
              <span>{{ scope.row.routeCode }}</span>
            </router-link>
          </template>
        </el-table-column>
        <el-table-column  :show-overflow-tooltip='true' label="产品小系列" width="130" align="center" prop="routeName">
        </el-table-column>
        <el-table-column label="SN流水号" width="130" align="center" prop="productCode">
        </el-table-column>
        <el-table-column label="状态" width="160" align="center" prop="productName">
        </el-table-column>
        <el-table-column label="是否打印" align="center" prop="version">
        </el-table-column>
        <el-table-column label="打印时间" align="center" prop="status">
          <template slot-scope="scope">
            <dict-tag :options="dict.type.sys_normal_disable" :value="scope.row.status"/>
          </template>
        </el-table-column>
      </el-table>
      <el-empty v-else>
        <span slot="description">暂无数据</span>
      </el-empty>
    </el-card>
  </div>
</template>

<script>
export default {
  name: "index",
  dicts: ['sys_normal_disable'],
  data(){
    return{
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        routeCode: null,
        routeName: null,
        productCode: null,
        productName: null,
        status: null,
        dataSource: null,
      },
      dataList: []
    }
  },
  methods:{
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
  }
}
</script>

<style scoped>

</style>
